Index: /issm/trunk-jpl/jenkins/jenkins.sh
===================================================================
--- /issm/trunk-jpl/jenkins/jenkins.sh	(revision 16660)
+++ /issm/trunk-jpl/jenkins/jenkins.sh	(revision 16661)
@@ -98,14 +98,29 @@
 
 		cd $PACKAGENAME
-		echo "======================================================";
-		echo "       Installing $PACKAGENAME                        ";
-		echo "======================================================";
-		./$PACKAGEINST |  tee compil.log
-		if [ $? -ne 0 ]; then
+
+		#tricky part here. We do not want to reinstall this package if it's already installed
+		#and the svn file which does the install has not be modified! To keep track of 
+		#this, we check the current svn version against the "last changed" revision number.  If they 
+		#are the same, we reinstall the package. 
+		current_version=`svnversion $PACKAGEINST`
+		last_changed_version=`svn info $PACKAGEINST | grep "Last Changed Rev" | awk '{printf("%s\n",$4);}'`
+
+		if [[ $current_version == $last_changed_version ]]; then 
+			#go ahead and reinstall. 
 			echo "======================================================";
-			echo "    ERROR: installation of $PACKAGENAME failed        ";
+			echo "       Installing $PACKAGENAME                        ";
+			echo "======================================================";
+			./$PACKAGEINST |  tee compil.log
+			if [ $? -ne 0 ]; then
+				echo "======================================================";
+				echo "    ERROR: installation of $PACKAGENAME failed        ";
+				echo "======================================================";
+			fi
+			source $ISSM_DIR/etc/environment.sh
+		else
+			echo "======================================================";
+			echo "       Skipping install of $PACKAGENAME                        ";
 			echo "======================================================";
 		fi
-		source $ISSM_DIR/etc/environment.sh
 		cd ..
 	done
